# Cluster list stored in working-copy storage located in {{ sx_git_local_path }}
{% for clusterPath in sx_git_list_clusters.files %}
{% set state = "(defined)   " %}
{% set url = "" %}
{% set kubeconfig = "" %}
{% set config = lookup( 'file' , clusterPath.path + '/install-config.yaml', errors='ignore' ) %}
{% if config is not none %}
{% set config = config | from_yaml %}
{% set state = "(configured)" %}
{% endif %}
{% set metadata = lookup( 'file' , clusterPath.path + '/metadata.json', errors='ignore' ) %}
{% if metadata is not none %}
{% set metadata = metadata | from_json %}
{% set state = "(deploying) " %}
{% endif %}
{% set deployedflag = lookup( 'file' , clusterPath.path + '/.is-deployed', errors='ignore' ) %}
{% if deployedflag is not none %}
{% set state = "(deployed)  " %}
{% set kubeconfig = lookup( 'file' , clusterPath.path + '/auth/kubeconfig', errors='ignore' | from_yaml ) %}
{% if kubeconfig is not none %}
{% set url = kubeconfig.clusters[0].cluster.server %}
{% endif %}
{% set startedflag = lookup( 'file' , clusterPath.path + '/.is-started', errors='ignore' ) %}
{% if startedflag is not none %}
{% set state = "(started)   " %}
{% endif %}
{% endif %}
{% if config is none %}
{{ "%-12s" | format("ERROR") }} {{ "%-15s" | format( clusterPath.path | basename) }} Could find install-config.yaml in {{ clusterPath.path }}
{% else %}
{{ state }} {{ "%-15s" | format(config.metadata.name) }} {{ url }} {{ config.metadata.annotations.description }}
{% endif %}
{% endfor %}